---
include:
  - project: cki-project/cki-lib
    file: .gitlab/ci_templates/cki-common.yml
    ref: production

deploy-production:
  extends: .deploy_production_tag

.trigger_vars:
  variables:
    kcidb_io_pip_url: "git+${CI_MERGE_REQUEST_PROJECT_URL}.git@refs/merge-requests/${CI_MERGE_REQUEST_IID}/merge"

cki-lib-mr:
  extends: [.trigger_dependency_mr, .trigger_vars]
  trigger: {project: cki-project/cki-lib, branch: production}
